gr::lte::mimo_sss_symbol_selector_impl Class Reference

`#include <mimo_sss_symbol_selector_impl.h>`

Inheritance diagram for gr::lte::mimo_sss_symbol_selector_impl:
[legend]

## Public Member Functions

| mimo_sss_symbol_selector_impl (int fftl, int rxant)
| ~mimo_sss_symbol_selector_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::lte::mimo_sss_symbol_selector
typedef boost::shared_ptr< mimo_sss_symbol_selector > | sptr
Static Public Member Functions inherited from gr::lte::mimo_sss_symbol_selector
static sptr | make (int fftl, int rxant)
| Return a shared_ptr to a new instance of lte::mimo_sss_symbol_selector.

## Constructor & Destructor Documentation

## mimo_sss_symbol_selector_impl()

gr::lte::mimo_sss_symbol_selector_impl::mimo_sss_symbol_selector_impl | ( | int | fftl,
|  | int | rxant )

## ~mimo_sss_symbol_selector_impl()

gr::lte::mimo_sss_symbol_selector_impl::~mimo_sss_symbol_selector_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::lte::mimo_sss_symbol_selector_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::lte::mimo_sss_symbol_selector_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- mimo_sss_symbol_selector_impl.h